Download it now!
Bug 73886 - Border around Writer TextFrame is partly missing
Summary: Border around Writer TextFrame is partly missing
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:4.3.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-01-21 17:53 UTC by Miklos Vajna
Modified: 2014-03-15 09:29 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Reproducer document (8.96 KB, application/vnd.oasis.opendocument.text)
2014-01-21 17:53 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2014-01-21 17:53:57 UTC
Created attachment 92531 [details]
Reproducer document

Hi,

This is a very recent regression. Open the bugdoc, it should have 4 borders (top, right, bottom, left), but only has 2 (top, right).

$ git bisect good
6a3fb868b2b8af21f7b6140424b6f8377599a786 is the first bad commit
commit 6a3fb868b2b8af21f7b6140424b6f8377599a786
Author: Kohei Yoshida <kohei.yoshida@collabora.com>
Date:   Sat Jan 18 18:17:52 2014 -0500

    Draw horizontal solid border lines directly in the pixel processor.
    
    This makes slightly skinnier solid lines which look better on screen.
    
    Change-Id: Ia7764be4a53d1dd6bb60ecb3ba5c8966403e4e6c

:040000 040000 8fa535d04615c0d07f1bd473f68fbda93bbd2c37 4d00dc6f2890206e07393ada3ac0689bd706ef67 M      drawinglayer

(I had to revert the -- unrelated -- f979a12741d0e5f47b26aa407593ab7c21979f6d to be able to build this commit.)

Just for the record, here is the end of the bisection:

- 279859fdbc40f68d8f1649fa5b928d9de49e8d9e is good (4 borders)
- 66f0a90bff032a8492c5f4af9281f180967554e3 is bad (only 2 borders)
- after reverting f979a12741d0e5f47b26aa407593ab7c21979f6d, ae22838d2ff4d388e97c30317a6a9f83e652a06a is bad (only 2 borders)
- after reverting f979a12741d0e5f47b26aa407593ab7c21979f6d, ec1a3157c1851dcb481f402ec25aa38fa9e7c51c is bad (only 3 borders)
- after reverting f979a12741d0e5f47b26aa407593ab7c21979f6d, 6a3fb868b2b8af21f7b6140424b6f8377599a786 is bad (only 3 borders)
- after reverting f979a12741d0e5f47b26aa407593ab7c21979f6d, f979a12741d0e5f47b26aa407593ab7c21979f6d is good

So the breakage arrived in two steps, first only 3 borders were painted, then later only 2. The above "first bad" is the first commit where the 4 borders are no longer painted.

Thanks,

Miklos
Comment 1 Michael Stahl (CIB) 2014-01-22 13:28:44 UTC
oh i had wondered what all those border painting changes did to Writer but was too busy to check :)

yep confirmed that on master
Comment 2 Commit Notification 2014-01-22 14:02:48 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d19de47c2da0867ded7e9045f06957aa4a1f277e

fdo#73886: Check the right width in case the left width is zero.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Kohei Yoshida 2014-01-22 15:46:06 UTC
I'm hacking Writer right now.  Expect more breakage.
Comment 4 Commit Notification 2014-01-22 16:39:45 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d17c9ee705f9885f61f84dc2d244c4d0c0c39928

fdo#73886: Let's keep the "left" border outer and "right" inner.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Kohei Yoshida 2014-01-22 17:45:15 UTC
Fixed, I guess.
Comment 6 Commit Notification 2014-03-15 00:19:09 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "private/jmux/libreoffice-4-1+kde4+fixes":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=36ef42ad3e4a191e0a2fd0d6bd1539dd654a750e&h=private/jmux/libreoffice-4-1+kde4+fixes

fdo#73886: Let's keep the "left" border outer and "right" inner.


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.